<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<!-- This is a template for a MIPS IOC/SV task analysis.

     Search this file for the string "ENTER" to find instructions on how to 
     fill it out.  Please don't alter stuff that is within PHP tags ("<? ?>")
     unless directed to do so.

     The title, principal, deputies and aorkeys will be filled out automatically
     once you upload the analysis to mips.

-->

<? 
// ENTER CAID, CAMPN, and Analyst WITHIN THE QUOTES IN THE FOLLOWING 2 LINES ...
$caid="";   // e.g. $caid = "90";
$campn="";   // e.g. $campn = "D2" or $campn = "Q" or $campn="meta";
$analyst=""; // e.g. $analyst="D. Kelly";

// YOU CAN SKIP DOWN TO THE OUTCOME SECTION NOW. 

include ("IOC_connect.php"); // this line isn't for you
include ("IOC_log_fns.php"); // this line isn't for you
$db = ioc_db_connect();
$query="select * from ioc_tasks where camp_crnt = '$campn' and caid = $caid ";
$result = mysql_query($query);
if (mysql_num_rows($result) < 1) { 
  echo "<h2>There is a problem w/ your write-up. Check that you have valied entries
        for \$CAID and \$Campn in your analysis.php file. If that checks out, then
        <a href=mailto::stansber@as.arizona.edu> Contact Stansberry</a>";
  return ;
}
// get first matching task
$row = mysql_fetch_array($result);
$title = $row["title"];
$princ = $row["principal"];
$deputy= $row["deputy"];
$campn0 = $row["campn0"];
$aorkeys = $row["aorkeys"];
// get real name of principal, deputies
$princ = ioc_get_person($princ);
$princ = $princ[0];
$deps = explode(",",$deputy);
foreach ($deps as $depty) {
   $depty = trim($depty);
   $depty = ioc_get_person($depty);
   $depty = $depty[0];
   $depty = explode(",",$depty);
   $depty = $depty[0];   // last names only
   $deplist[] = $depty;
}
$deplist = implode(", ", $deplist);
$caid = sprintf("%03d",$caid);
$file = "mips-".$caid.$campn.".analysis.php";
// if more matches, append the AORKEYS from those
$numrows = mysql_num_rows($result);
if ($numrows > 1) {
 $aorkeys = "&nbsp;" . $numrows . " Task Executions: &nbsp;". $aorkeys;
 for ($i=0;$i < mysql_num_rows($result); $i++) {
  $row = mysql_fetch_array($result);
  $morekeys = $row["aorkeys"];
  $aorkeys = $aorkeys .'; &nbsp;'.$morekeys;
 }
}
// END PHP.
?>

<head>
<title><? echo "MIPS-$caid, Campaign $campn IOC/SV Analysis"; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<!-- this pre-pends a standard header to the cookbook -->
<? if (file_exists("master_header.php")) { include ("master_header.php");} ?>

<center><h3>
<? echo "MIPS-$caid, Campaign $campn IOC/SV Analysis"; ?>
</h3>
<h1><font color=#0000FF> 
<? echo "$title \n"; ?> 
</font></h1>
</center>

<blockquote><font size=+1>
Principal: <?= $princ;?> <br>
Deputy:  <?= $deplist;?><br>
Analyst: <?= $analyst;?><br>
AORKEYS: <? if (! $aorkeys) {echo "unknown";} else { echo $aorkeys;}?><br>
Last Updated:  
<? if (file_exists($file)) {echo date("D M d Y, H:i:s", filemtime($file) ) ;} ?> <br>
</font></blockquote>

<!-- this pre-pends a navigation bar to the cookbook -->
<center>
<? if (file_exists("analysis_header.php")) { include ("analysis_header.php");} ?>
</center>

<hr>

<a name="outcome">
<br><h2 id="outcome">Task Outcome Summary</h2>
<!-- 
     ENTER the outcome of the task here, using the categories provided.
     Acceptable entries are indicated by the html comments for each
     list element.  Explain anything other than Nominal by adding one or more
     &lt;li&gt; tag(s) and entering a terse explanation/description. This
     section is intended to provide an instantaneous status of the task,
     and associated data.
-->
<ul>
<li> DATA STATUS:       <!-- choose from "Nominal", "Anomalous", "Incomplete", "Inadequate"  -->
<li> TASK OUTCOME:      <!-- choose from "Nominal", "Anomalous", "Incomplete", "Failure"  -->
</ul>

<a name="abstract">
<br><h2 id="abstract">Abstract</h2>
<!-- ENTER YOUR ABSTRACT BETWEEN THE <em> TAGS. Briefly summarize the goal of the
     task, any problems with the data (or nominal if no problems), and the conclusions
     supported by your analysis.  -->
<em> </em>

<a name="analysis">
<br><h2 id="description">Analysis</h2>
<!-- ENTER a description of the analysis your performed here. This can be high-level if you 
     need to get into more specifics in the results section. State how the analysis supports
     the goal of the test. If the data were incomplete or inadequate, capture that here.-->


<a name="results">
<br><h2 id="data">Results</h2>
<!-- ENTER your detailed analysis here, including figures and tables as appropriate. -->


<a name="conclusions">
<br><h2 id="conclusions">Conclusions</h2>
<!-- ENTER a summary of your conclusions here. -->

<a name="outputs">
<br><h2 id="outputs">Output and Deliverable Products</h2>
<!-- ENTER a a brief description of what you did with any deliverable products
     from this task, if there were any. "None" is an acceptable answer. -->


<a name="actions">
<br><h2 id="actions">Actions Following Analysis</h2>
<!-- ENTER a summary of any actions you feel need to be taken in light of your results.
     If the outcome was nominal this section will probably be blank. -->



</body>

</html>
