<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<!-- This is a template for a MIPS IOC/SV task analysis.

     Search this file for the string "ENTER" to find instructions on how to 
     fill it out.  Please don't alter stuff that is within PHP tags ("<? ?>")
     unless directed to do so.

     The title, principal, deputies and aorkeys will be filled out automatically
     once you upload the analysis to mips.

-->

<? 
// ENTER CAID, CAMPN, and Analyst WITHIN THE QUOTES IN THE FOLLOWING 2 LINES ...
$caid="950";   // e.g. $caid = "90";
$campn="A1";   // e.g. $campn = "D2" or $campn = "Q";
$analyst="C. Monkey"; // e.g. $analyst="D. Kelly";

// YOU CAN SKIP DOWN TO THE OUTCOME SECTION NOW. 

include ("IOC_connect.php"); // this line isn't for you
include ("IOC_log_fns.php"); // this line isn't for you
$db = ioc_db_connect();
$query="select * from ioc_tasks where camp_crnt = '$campn' and caid = $caid limit 1";
$result = mysql_query($query);
if (mysql_num_rows($result) != 1) { 
  echo "<h2>Check the values you entered for CAID and CAMPN - no matching entry was<br>\n";
  echo "found in the database. If that doesn't help \n";
  echo "<a href=mailto::stansber@as.arizona.edu> Contact Stansberry</a> </h2>- ";
  return ;
}
$row = mysql_fetch_array($result);
$title = $row["title"];
$princ = $row["principal"];
$deputy= $row["deputy"];
$campn0 = $row["campn0"];
$aorkeys = $row["aorkeys"];
// get real name of principal, deputies
$princ = ioc_get_person($princ);
$princ = $princ[0];
$deps = explode(",",$deputy);
foreach ($deps as $depty) {
   $depty = trim($depty);
   $depty = ioc_get_person($depty);
   $depty = $depty[0];
   $depty = explode(",",$depty);
   $depty = $depty[0];   // last names only
   $deplist[] = $depty;
}
$deplist = implode(", ", $deplist);
$caid = sprintf("%03d",$caid);
$file = "mips-instruct.analysis.php";
// END PHP.
?>

<head>
<title><? echo "MIPS-$caid, Campaign $campn IOC/SV Analysis"; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<!-- this pre-pends a standard header to the cookbook -->
<? if (file_exists("master_header.php")) { include ("master_header.php");} ?>

<P>The actual analysis template begins below the thick horizontal rule
just below.  By this point in the analysis template all you've done is find
the first occurrence of the string "ENTER", and followed the directions
there to set variables for caid, campn, and analyst. The title, principal,
and deputies fields get filled out automatically once you
do that. For this example, caid="950", campn="A1", analyst="C. Monkey". </p>

<P>In order for the Last Updated field to work, you have to <b>save your file
with the appropriate name,</b> constructed from the caid and campn.<br>
E.G.  "mips-950A1.analysis.php" for this example.</p>

<P>NOTE that you CAN NOT save the source of this to disk and use it as a template - all
the PHP will get stripped out.<br>Instead, download the tar file containing the
real template (and the source for these instructions) <a href="./mips.analysis.tar">here.</a></p>

<P>The next stuff you have to fill in is the Outcome Summary</p>

<hr size=8><br>

<center><h3>
<? echo "MIPS-$caid, Campaign $campn IOC/SV Analysis"; ?>
</h3>
<h1><font color=#0000FF> 
<? echo "$title \n"; ?> 
</font></h1>
</center>

<blockquote><font size=+1>
Principal: <?= $princ;?> <br>
Deputy:  <?= $deplist;?><br>
Analyst: <?= $analyst;?><br>
AORKEYS: <? if (! $aorkeys) {echo "unknown";} else { echo $aorkeys;}?><br>
Last Updated:  
<? if (file_exists($file)) {echo date("D M d Y, H:i:s", filemtime($file) ) ;} ?> <br>
</font></blockquote>

<!-- this pre-pends a navigation bar to the cookbook -->
<center>
<? if (file_exists("analysis_header.php")) { include ("analysis_header.php");} ?>
</center>

<hr>

<a name="outcome">
<br><h2 id="outcome">Task Outcome Summary</h2>
<P><blockquote><em>
     ENTER the outcome of the task here, using the categories provided.
     Acceptable entries are indicated by the html comments for each
     list element.  Explain anything other than Nominal by adding one or more
     &lt;li&gt; tag(s) and entering a terse explanation/description. This
     section is intended to provide an instantaneous status of the task,
     and associated data.
</em></blockquote></p>
<ul>
<li> DATA STATUS:       <em> choose from "Nominal", "Anomalous", "Incomplete", "Inadequate" </em>
<li> TASK OUTCOME:      <em> choose from "Nominal", "Anomalous", "Incomplete", "Failure" </em>
</ul>

<a name="abstract">
<br><h2 id="abstract">Abstract</h2>
<P><blockquote><em>
     ENTER YOUR ABSTRACT BETWEEN THE &lt;em&gt; TAGS. Briefly summarize the goal of the
     task, any problems with the data (or nominal if no problems), and the conclusions
     supported by your analysis.
</em></blockquote></p>
<em> </em>

<a name="analysis">
<br><h2 id="description">Analysis</h2>
<P><blockquote><em>
     ENTER a description of the analysis your performed here. This can be high-level if you 
     need to get into more specifics in the results section. State how the analysis supports
     the goal of the test. If the data were incomplete or inadequate, capture that here.
</em></blockquote></p>

<a name="results">
<br><h2 id="data">Results</h2>
<P><blockquote><em>
     ENTER the detailed results of your analysis here, including figures and tables as appropriate.
</em></blockquote></p>

<a name="conclusions">
<br><h2 id="conclusions">Conclusions</h2>
<P><blockquote><em>
     ENTER a summary of your conclusions here. 
</em></blockquote></p>

<a name="outputs">
<br><h2 id="outputs">Output and Deliverable Products</h2>

<P><blockquote><em>
     ENTER a a brief description of what you did with any deliverable products
     from this task, if there were any. This is meant to capture what we do
     with deliverables such as calibration frames, updates to operating parameters,
     etc. Your task may or may not be intended to generate such products, so "None" 
     is an acceptable answer.
</em></blockquote></p>

<a name="actions">
<br><h2 id="actions">Actions Following Analysis</h2>
<P><blockquote><em>
     ENTER a summary of any actions you feel need to be taken in light of your results.
     "None" is an acceptable answer.
</em></blockquote></p>


</body>

</html>
